Kea: isc::http::CallSetGenericBody Struct Reference

| Kea 2.2.0

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
isc::http::CallSetGenericBody Struct Reference

Encapsulates the boolean value indicating if the HttpResponse constructor should call its `setGenericBody` method during construction. More...

`#include <response.h>`

## Public Member Functions
| CallSetGenericBody (const bool set)
| Constructor. More...

## Static Public Member Functions
static const CallSetGenericBody & | no ()
| Returns encapsulated false. More...
static const CallSetGenericBody & | yes ()
| Returns encapsulated true. More...

## Public Attributes
bool | set_
| A storage for the boolean flag. More...

## Detailed Description

Encapsulates the boolean value indicating if the HttpResponse constructor should call its `setGenericBody` method during construction.

Definition at line 52 of file response.h.

## Constructor & Destructor Documentation

## ◆ CallSetGenericBody()

isc::http::CallSetGenericBody::CallSetGenericBody | ( | const bool | set | ) |
| inlineexplicit

Constructor.

Parameters

  set | A boolean value indicating if the method should be called or not.

Definition at line 58 of file response.h.

## Member Function Documentation

## ◆ no()

static const CallSetGenericBody & isc::http::CallSetGenericBody::no | ( |  | ) |
| inlinestatic

Returns encapsulated false.

Definition at line 69 of file response.h.

References no().

Referenced by no().

Here is the call graph for this function:

## ◆ yes()

static const CallSetGenericBody & isc::http::CallSetGenericBody::yes | ( |  | ) |
| inlinestatic

Returns encapsulated true.

Definition at line 63 of file response.h.

References yes().

Referenced by yes().

Here is the call graph for this function:

## Member Data Documentation

## ◆ set_

bool isc::http::CallSetGenericBody::set_

A storage for the boolean flag.

Definition at line 75 of file response.h.

Referenced by isc::http::HttpResponse::HttpResponse(), and isc::http::HttpResponseJson::HttpResponseJson().

The documentation for this struct was generated from the following file:

- response.h